summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeffrey Gardner <je_fro@gentoo.org>2008-06-23 06:45:19 +0000
committerJeffrey Gardner <je_fro@gentoo.org>2008-06-23 06:45:19 +0000
commit0be530b4c5a6f889cd436a51e95f15c212b00b72 (patch)
treea2708306c8aed7e38000d4e75405dc875c711b8e /sci-chemistry
parentManifest (diff)
downloadje_fro-0be530b4c5a6f889cd436a51e95f15c212b00b72.tar.gz
je_fro-0be530b4c5a6f889cd436a51e95f15c212b00b72.tar.bz2
je_fro-0be530b4c5a6f889cd436a51e95f15c212b00b72.zip
improved gromacs build
svn path=/; revision=226
Diffstat (limited to 'sci-chemistry')
-rw-r--r--sci-chemistry/gromacs/Manifest2
-rw-r--r--sci-chemistry/gromacs/gromacs-3.3.3.ebuild54
2 files changed, 35 insertions, 21 deletions
diff --git a/sci-chemistry/gromacs/Manifest b/sci-chemistry/gromacs/Manifest
index 1e532e1..aef45f0 100644
--- a/sci-chemistry/gromacs/Manifest
+++ b/sci-chemistry/gromacs/Manifest
@@ -1,2 +1,2 @@
DIST gromacs-3.3.3.tar.gz 8013789 RMD160 c7b495423eb07682e88bd7d5c61e0aa9156a17d1 SHA1 318802e39f3ca3e847261a3b96906266e32deba2 SHA256 b95becbe410b71fe9bc19b91dfeb98b940dbb2d66613c9e1de7f6d21fb7534fa
-EBUILD gromacs-3.3.3.ebuild 5703 RMD160 62fe431fbe8c149d7d2f465cbf32c355041114ca SHA1 394f5b9dff3ee4c07f4becc4e11199ab19d73ff0 SHA256 a8e9418009fc43e545e630a90f388b42dbf1e358e44bcd6c3fde0a8dd60f18b4
+EBUILD gromacs-3.3.3.ebuild 6008 RMD160 45f8fa4a0eb9059a047ab774ac6d097f6006e86d SHA1 95008b912e69fc66883dcde86783ecf9e21124cf SHA256 6ab30b5d13632cf3ad8312e163403cffc8d2af6084053296bf83af6bff77486e
diff --git a/sci-chemistry/gromacs/gromacs-3.3.3.ebuild b/sci-chemistry/gromacs/gromacs-3.3.3.ebuild
index 7459905..4672c80 100644
--- a/sci-chemistry/gromacs/gromacs-3.3.3.ebuild
+++ b/sci-chemistry/gromacs/gromacs-3.3.3.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-
-inherit eutils flag-o-matic fortran multilib
+LIBTOOLIZE="true"
+inherit autotools eutils flag-o-matic fortran multilib
DESCRIPTION="The ultimate molecular dynamics simulation package"
HOMEPAGE="http://www.gromacs.org/"
@@ -11,14 +11,13 @@ SRC_URI="ftp://ftp.gromacs.org/pub/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ppc64 ~sparc ~x86"
-IUSE="3dnow X altivec blas double-precision lapack mpi +single-precision sse sse2 static xml"
+IUSE="3dnow X altivec blas double-precision gsl lapack mpi +single-precision sse sse2 static xml"
# mopac7 qm/mm is broken until we can get files from
# http://md.chem.rug.nl/~groenhof/qmmm.html
# or somewhere else...
DEPEND=">=sci-libs/fftw-3.0.1
- mpi? ( virtual/mpi )
app-shells/tcsh
X? ( x11-libs/libX11
x11-libs/libXt
@@ -27,7 +26,9 @@ DEPEND=">=sci-libs/fftw-3.0.1
x11-proto/xproto
virtual/motif )
blas? ( virtual/blas )
+ gsl? ( sci-libs/gsl )
lapack? ( virtual/lapack )
+ mpi? ( virtual/mpi )
xml? ( dev-libs/libxml2 )"
FORTRAN="g77 gfortran ifc"
@@ -50,17 +51,26 @@ src_unpack() {
|| die "sed tools/Makefile.am failed"
sed "/libdir=\"\$(libdir)\"/ a\ temp_libdir=\"${D}usr/$( get_libdir )\" ; \\\\" \
- -i src/tools/Makefile.in \
- || die "sed tools/Makefile.in failed"
+ -i src/tools/Makefile.am \
+ || die "sed tools/Makefile.am failed"
sed -e "s:\$\$libdir:\$\$temp_libdir:" \
- -i src/tools/Makefile.in \
- || die "sed tools/Makefile.in failed"
+ -i src/tools/Makefile.am \
+ || die "sed tools/Makefile.am failed"
+
+ # Rename disco manpage to fix bug #210083.
+ sed "s:disco.1:g_disco.1:" \
+ -i "${S}"/man/man1/Makefile.am \
+ || die "sed failed to rename disco"
+
+ mv "${S}"/man/man1/disco.1 "${S}"/man/man1/g_disco.1
+
+ eautoreconf
cd "${WORKDIR}"
- if ( use double-precision && use single-precision ) ; then
+ mv "${P}" "${P}-single"
+ if ( use double-precision ) ; then
einfo "Moving sources for Multiprecision Build"
- mv "${P}" "${P}-single"
cp -prP "${P}-single" "${P}-double"
fi
}
@@ -139,10 +149,10 @@ src_compile() {
esac
# if we need external blas
-# if use blas; then
-# export LIBS="${LIBS} -lblas"
-# myconf="${myconf} $(use_with blas external-blas)"
-# fi
+ if use blas; then
+ export LIBS="${LIBS} -lblas"
+ myconf="${myconf} $(use_with blas external-blas)"
+ fi
# if we need external lapack
if use lapack; then
@@ -154,6 +164,7 @@ src_compile() {
--bindir=/usr/bin \
--libdir=/usr/$(get_libdir) \
--with-fft=fftw3 \
+ $(use_with gsl) \
$(use_enable mpi) \
$(use_with X x) \
$(use_with xml) \
@@ -173,8 +184,8 @@ src_compile() {
econf ${myconf} || die "Double Precision econf failed"
emake || die "Double Precision emake failed"
else
- einfo "Building..."
- cd "${WORKDIR}"/"${P}"
+ einfo "Building Single Precison Gromacs"
+ cd "${WORKDIR}"/"${P}"-single
myconf="${myconf} $(use_enable double-precision double) \
$(use_enable single-precision float)"
econf ${myconf} || die "configure failed"
@@ -183,13 +194,16 @@ src_compile() {
}
src_install() {
- if ( use double-precision && use single-precision ); then
+ if ( use single-precision ); then
einfo "Installing Single Precision"
cd "${WORKDIR}"/"${P}"-single
- make DESTDIR="${D}" install || die "Installing Single Precision failed"
- einfo "Installing Double Precision"
+ emake DESTDIR="${D}" install || die "Installing Single Precision failed"
+ fi
+
+ if ( use double-precision ) ; then
+ einfo "Installing Double Precision"
cd "${WORKDIR}"/"${P}"-double
- make DESTDIR="${D}" install || die "Installing Double Precision failed"
+ emake DESTDIR="${D}" install || die "Installing Double Precision failed"
fi
dodoc AUTHORS INSTALL README